blocktube(6)

NAME
blocktube - draws a swirling, falling tunnel of reflective slabs

SYNOPSIS
blocktube [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-holdtime number] [-changetime number] [-no-texture] [-no-fog] [-wireframe] [-fps]

DESCRIPTION
Blocktube draws a swirling, falling tunnel of reflective slabs. They fade from hue to hue.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 40000 (0.04 seconds.).

-holdtime number
    How long to stay on the same color. Default: 1000 frames.

-changetime number
    How long it takes to fade to a new color. Default: 200 frames.

-no-texture
    Draw solid blocks intstead of reflective blocks.

-no-fog
    Do not make blocks in the distance be darker.

-wireframe
    Only draw outlines.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Lars Damerow. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Lars Damerow <lars@oddment.org>